凯凯本凯 2022-09-24 11:16 采纳率: 73.5%
浏览 28
已结题

Python3 安装pillow时错误

执行

pip3 install pillow

时,发生错误:

Collecting pillow
  Downloading Pillow-9.2.0-cp38-cp38-win_amd64.whl (3.3 MB)
     ━━━━━━━━━╺━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 0.8/3.3 MB 31.0 kB/s eta 0:01:22
ERROR: Exception:
Traceback (most recent call last):
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_vendor\urllib3\response.py", line 435, in _error_catcher
    yield
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_vendor\urllib3\response.py", line 516, in read
    data = self._fp.read(amt) if not fp_closed else b""
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_vendor\cachecontrol\filewrapper.py", line 90, in read
    data = self.__fp.read(amt)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\http\client.py", line 455, in read
    n = self.readinto(b)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\http\client.py", line 499, in readinto
    n = self.fp.readinto(b)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\socket.py", line 669, in readinto
    return self._sock.recv_into(b)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\ssl.py", line 1241, in recv_into
    return self.read(nbytes, buffer)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\ssl.py", line 1099, in read
    return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\cli\base_command.py", line 167, in exc_logging_wrapper
    status = run_func(*args)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\cli\req_command.py", line 247, in wrapper
    return func(self, options, args)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\commands\install.py", line 369, in run
    requirement_set = resolver.resolve(
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\resolution\resolvelib\resolver.py", line 92, in resolve
    result = self._result = resolver.resolve(
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 481, in resolve
    state = resolution.resolve(requirements, max_rounds=max_rounds)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 348, in resolve
    self._add_to_criteria(self.state.criteria, r, parent=None)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 172, in _add_to_criteria
    if not criterion.candidates:
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_vendor\resolvelib\structs.py", line 151, in __bool__
    return bool(self._sequence)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\resolution\resolvelib\found_candidates.py", line 155, in __bool__
    return any(self)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\resolution\resolvelib\found_candidates.py", line 143, in <genexpr>
    return (c for c in iterator if id(c) not in self._incompatible_ids)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\resolution\resolvelib\found_candidates.py", line 47, in _iter_built
    candidate = func()
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\resolution\resolvelib\factory.py", line 206, in _make_candidate_from_link
    self._link_candidate_cache[link] = LinkCandidate(
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 297, in __init__
    super().__init__(
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 162, in __init__
    self.dist = self._prepare()
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 231, in _prepare
    dist = self._prepare_distribution()
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 308, in _prepare_distribution
    return preparer.prepare_linked_requirement(self._ireq, parallel_builds=True)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\operations\prepare.py", line 438, in prepare_linked_requirement
    return self._prepare_linked_requirement(req, parallel_builds)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\operations\prepare.py", line 483, in _prepare_linked_requirement
    local_file = unpack_url(
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\operations\prepare.py", line 165, in unpack_url
    file = get_http_url(
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\operations\prepare.py", line 106, in get_http_url
    from_path, content_type = download(link, temp_dir.path)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\network\download.py", line 147, in __call__
    for chunk in chunks:
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\cli\progress_bars.py", line 53, in _rich_progress_bar
    for chunk in iterable:
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_internal\network\utils.py", line 63, in response_chunks
    for chunk in response.raw.stream(
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_vendor\urllib3\response.py", line 573, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_vendor\urllib3\response.py", line 538, in read
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\contextlib.py", line 131, in __exit__
    self.gen.throw(type, value, traceback)
  File "c:\users\kaikai\appdata\local\programs\python\python38\lib\site-packages\pip\_vendor\urllib3\response.py", line 440, in _error_catcher
    raise ReadTimeoutError(self._pool, None, "Read timed out.")
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.

如何解决?

  • 写回答

2条回答

      报告相同问题?

      相关推荐 更多相似问题

      问题事件

      • 系统已结题 10月2日
      • 已采纳回答 9月24日
      • 创建了问题 9月24日

      悬赏问题

      • ¥15 (微机原理)若用1K×8位的芯片,构成一个4KB的RAM,请用全译码的方式设计最大模式下的8086电路系统。
      • ¥15 这两个题二选一,用java,最好是elipse这个软件运行的
      • ¥20 Ubuntu20.10安装gcc报错
      • ¥15 bat获取文件夹下所有的csv文件名及文件的首行
      • ¥15 求教:text kit 如何根据textview的字体大小进行分页
      • ¥15 Hive on Spark配置问题
      • ¥15 BPNN回归问题预测混凝土强度,用dataset数据预处理,预测结果很差,望救助!
      • ¥15 求高通RIL与QMI相关的代码
      • ¥15 drools 规则引擎内存网络求解
      • ¥15 jieba生成词云图的时候卡住,请问有什么办法呢?